it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface DocumentiRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<Documento,String>, org.springframework.data.jpa.repository.JpaRepository<Documento,String>, org.springframework.data.repository.PagingAndSortingRepository<Documento,String>, org.springframework.data.repository.query.QueryByExampleExecutor<Documento>, org.springframework.data.repository.Repository<Documento,String>

      @Repository
      public interface DocumentiRepository
      extends org.springframework.data.jpa.repository.JpaRepository<Documento,String>

  Repository per la gestione delle operazioni CRUD su Documenti.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `countAllActiveByIdNota(String idNota)` Conta il numero di documenti associati a una nota specificata dal suo ID.
    `List<Documento>` | `findAllActiveByIdNota(String idNota)` Recupera tutti i documenti attivi associati a un determinato ID di nota taccuino.
    `Documento` | `findOneActiveById(String id)` Recupera un documento attivo identificato dal suo ID.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findOneActiveById

          @Query(value="SELECT d FROM Documento d WHERE d.id = :id AND d.attivo = true")
          Documento findOneActiveById(@Param(value="id")
                                                                                                                      String id)

      Recupera un documento attivo identificato dal suo ID.
      Parameters:
        `id` - ID del documento da recuperare.
      Returns:
        Documento attivo, o null se non trovato.

    - #### findAllActiveByIdNota

          @Query(value="from Documento d where d.nota.id = :idNota and d.attivo = true")
          List<Documento> findAllActiveByIdNota(@Param(value="idNota")
                                                                                                                                String idNota)

      Recupera tutti i documenti attivi associati a un determinato ID di nota taccuino.
      Parameters:
        `idNota` - ID del taccuino associato ai documenti.
      Returns:
        Lista di documenti attivi associati al taccuino specifico.

    - #### countAllActiveByIdNota

          @Query(value="SELECT COUNT(d) FROM Documento d WHERE d.nota.id = :idNota and d.attivo = true")
          Integer countAllActiveByIdNota(@Param(value="idNota")
                                                                                                                                         String idNota)

      Conta il numero di documenti associati a una nota specificata dal suo ID.
      Parameters:
        `idNota` - l'ID della nota per la quale contare i documenti associati
      Returns:
        il numero di documenti associati, oppure 0 se non ne vengono trovati

Copyright © 2024. All rights reserved.